1. Devices
api-security
  • Security-Api
    • Roles
      • Index
      • Create
      • Show
      • Update
      • Delete
    • Devices
      • Index
        GET
      • Show
        GET
      • Create
        POST
      • Update
        PUT
      • Delete
        DELETE
    • Security Event
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Alerts
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incidents
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incident Comments
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Auth
      • Login
      • Logout
      • Me
    • Dashboard
      • Index
    • Notifications
      • Index
      • Unread
      • Mark As Read
  1. Devices

Update

Developing
PUT
http://127.0.0.1:8000/api/devices/4
Updates the information of an existing device by its ID.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success Update
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'http://127.0.0.1:8000/api/devices/4' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {}' \
--header 'Content-Type: application/json' \
--data '{
    "ip_address": "192.168.22.224"  
}'
Response Response Example
{
    "message": "Device updated successfully.",
    "data": {
        "id": 3,
        "name": "Windows Endpoint",
        "IP address": "192.168.22.224",
        "operating system": "Windows 11",
        "status": "maintenance"
    }
}
Modified at 2026-06-22 12:11:13
Previous
Create
Next
Delete
Built with